package org.fouram.dto.input;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class UploadUpdateEmpDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	private String accountBank;
	private String accountBankName;
	private String cardId;
	private Integer cardType;
	private String email;
	private String entryDate;
	private String jobNumber;
	private String legalPerson;
	private String phone;
	private String resignDate;
	private String socialArea;
	private Integer type;
	private String username;
	private String provinceName;
	private List<AddFamilyDTO> familyList;
	
	@Data
	@Builder
	@NoArgsConstructor
	@AllArgsConstructor
	@JsonIgnoreProperties(ignoreUnknown = true)
	public static class AddFamilyDTO implements Serializable {
		private static final long serialVersionUID = 1L;
		
		private String birthDate;
		private String name;
		private Integer relation;
	}
}
